AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Fetch a beneficiary

Get a single transfer beneficiary details

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/beneficiaries/{id}

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

id int 32 required
This is the unique identifier for the beneficiary you intend to fetch. It is returned in the call to create a beneficiary as data.id.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

account_number string

bank_code string

full_name string

meta string

created_at string

bank_name string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys